javax.jdo.metadata

## Interface DiscriminatorMetadata

- All Superinterfaces:
    Metadata

      public interface DiscriminatorMetadata
      extends Metadata

  Represents the discriminator for inheritance purposes for this class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumn()` Accessor for the discriminator column name
    `ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the discriminator.
    `Indexed` | `getIndexed()` Accessor for whether indexed (true|false|unique)
    `IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata for the discriminator.
    `int` | `getNumberOfColumns()` Accessor for the number of columns defined for this discriminator.
    `DiscriminatorStrategy` | `getStrategy()` Accessor for the discriminator strategy.
    `String` | `getValue()` Accessor for the discriminator value (when using "value-map" strategy).
    `ColumnMetadata` | `newColumnMetadata()` Add a new column for this discriminator.
    `IndexMetadata` | `newIndexMetadata()` Method to set the index metadata for the discriminator.
    `DiscriminatorMetadata` | `setColumn(String column)` Method to set the discriminator column.
    `DiscriminatorMetadata` | `setIndexed(Indexed indexed)` Method to set whether indexed.
    `DiscriminatorMetadata` | `setStrategy(DiscriminatorStrategy strategy)` Method to set the discriminator strategy.
    `DiscriminatorMetadata` | `setValue(String val)` Method to set the discriminator value (when using "value-map" strategy).

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setColumn

          DiscriminatorMetadata setColumn(String column)

      Method to set the discriminator column.
      Parameters:
        `column` - Name of the discriminator column
      Returns:
        This metadata object

    - #### getColumn

          String getColumn()

      Accessor for the discriminator column name
      Returns:
        The column name

    - #### setValue

          DiscriminatorMetadata setValue(String val)

      Method to set the discriminator value (when using "value-map" strategy).
      Parameters:
        `val` - Value for the discriminator for this class
      Returns:
        This metadata object

    - #### getValue

          String getValue()

      Accessor for the discriminator value (when using "value-map" strategy).
      Returns:
        The value

    - #### setStrategy

          DiscriminatorMetadata setStrategy(DiscriminatorStrategy strategy)

      Method to set the discriminator strategy.
      Parameters:
        `strategy` - The strategy
      Returns:
        This metadata object

    - #### getStrategy

          DiscriminatorStrategy getStrategy()

      Accessor for the discriminator strategy.
      Returns:
        The strategy

    - #### setIndexed

          DiscriminatorMetadata setIndexed(Indexed indexed)

      Method to set whether indexed.
      Parameters:
        `indexed` - Whether indexed (true | false | unique)
      Returns:
        This metadata object

    - #### getIndexed

          Indexed getIndexed()

      Accessor for whether indexed (true|false|unique)
      Returns:
        Indexed?

    - #### getColumns

          ColumnMetadata[] getColumns()

      Accessor for all column(s) defined on the discriminator.
      Returns:
        The column(s)

    - #### newColumnMetadata

          ColumnMetadata newColumnMetadata()

      Add a new column for this discriminator.
      Returns:
        The ColumnMetadata

    - #### getNumberOfColumns

          int getNumberOfColumns()

      Accessor for the number of columns defined for this discriminator.
      Returns:
        The number of columns

    - #### newIndexMetadata

          IndexMetadata newIndexMetadata()

      Method to set the index metadata for the discriminator.
      Returns:
        The IndexMetadata

    - #### getIndexMetadata

          IndexMetadata getIndexMetadata()

      Accessor for any index metadata for the discriminator.
      Returns:
        Index metadata

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.